#property indicator_chart_window

extern string UniqueID        = "VLine1";
extern color  LineColor       = DeepSkyBlue;
extern int    LineWidth       = 0;
extern bool   LineDrawnAsBack = false;

//
//
//
//
//

int init()   { return(0); }
int deinit()
{
   string lookFor = UniqueID+":";
   for (int i= ObjectsTotal()-1; i>= 0; i--)
   {
      string name = ObjectName(i); if (StringFind(name,lookFor,0)==0) ObjectDelete(name);
   }
   return(0); 
}
int start()
{
      createLine("",Time[0],LineColor,LineWidth);
   return(0);
}

void createLine(string add, datetime time, color lineColor, int lineWidth)
{
   string name = UniqueID+":"+add;
   ObjectCreate(name,OBJ_VLINE,0,0,0);
      ObjectSet(name,OBJPROP_TIME1,time);
      ObjectSet(name,OBJPROP_COLOR,lineColor);
      ObjectSet(name,OBJPROP_BACK,LineDrawnAsBack);
      ObjectSet(name,OBJPROP_WIDTH,lineWidth);
}